with import ./network.nix;
{
  services.gitea = {
    enable                           = true;
    database.type                    = "sqlite3";
    domain                           = "git.giugl.io";
    appName                          = "Gitea";
    rootUrl                          = "https://git.giugl.io";
    ssh.clonePort                    = 10022;
    log.level                        = "Info";
    settings.server.START_SSH_SERVER = true;
  };

  services.nginx.virtualHosts.${gitdomain} = {
    forceSSL = true;
    enableACME = true;
    locations."/" = {
      proxyPass = "http://localhost:3000";
      extraConfig = ''
          allow 127.0.0.1;
          allow 10.0.0.0/24;
          allow 10.3.0.0/24;
	  allow 10.4.0.0/24;
          deny all;
      '';
    };
  };

  networking.extraHosts = ''
    ${architect-lan} ${gitdomain}
    ${architect-wg} ${gitdomain}
  '';
}
