{ pkgs, ... }:

{
  services = {
    xserver = {
      enable = true;
      displayManager.gdm.enable = true;
      desktopManager.gnome.enable = true;
      libinput.enable = true;
      layout = "us";
      xkbOptions = "eurosign:e";
    };

    dbus.packages = with pkgs; [ gnome3.dconf ];
    udev.packages = with pkgs; [ gnome3.gnome-settings-daemon ]; 
  };

  environment.systemPackages = with pkgs; [ gnomeExtensions.appindicator ];
  security.pam.services.gdm.enableGnomeKeyring = true;
}
